-1

Need to install testdisc by:

sudo apt-get update
sudo apt-get install testdisk

But it shows me the following:

You might want to run 'apt-get -f install' to correct these:
    The following packages have unmet dependencies:
     kde-cli-tools : Depends: kde-cli-tools-data (= 4:5.5.5-0ubuntu1.1) but it is not going to be installed
     libksgrd7 : Depends: libkf5sysguard-data (= 4:5.5.5-0ubuntu2) but it is not going to be installed
     libprocesscore7 : Depends: libkf5sysguard-data (= 4:5.5.5-0ubuntu2) but it is not going to be installed
     libprocessui7 : Depends: libkf5sysguard-data (= 4:5.5.5-0ubuntu2) but it is not going to be installed
    E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify 

a solution).

When trying apt-get -f install it says:

E: Could not open lock file /var/lib/dpkg/lock - open (13: Permission denied)
E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?

What to do? Thanks

1

The first comand is wrong. It should be like this:
sudo apt-get update && sudo apt-get install testdisk

The second command must begin with sudo:
sudo apt-get -f install

The message is quite clear: "Are you root?"... Whenever you meet messages like these, check to see if you have permission to acces that resource; root has permission everywhere, and this is what sudo does (runs a command as root); or run sudo su, input your password, and now you can run commands without sudo (i.e. every command will be run as root - NOT RECOMMENDED)

  • Thanks did some installing, but then: dpkg: error processing archive /var/cache/apt/archives/libkf5sysguard-data_4%3a5.5.5-0ubuntu2_all.deb (--unpack): trying to overwrite '/usr/share/locale/th/LC_MESSAGES/processui.mo', which is also in package kde-l10n-th 4:4.10.97-0ubuntu1 dpkg-deb: error: subprocess paste was killed by signal (Broken pipe) Preparing to unpack .../kde-cli-tools-data_4%3a5.5.5-0ubuntu1.1_all.deb ... Unpacking kde-cli-tools-data (4:5.5.5-0ubuntu1.1) ... dpkg: error processing archive /var/cache/apt/archives/kde-cli-tools-data_4%3a5.5.5-0ubuntu1.1_all.deb (--unpack): – Florian Jun 5 '17 at 14:39
  • trying to overwrite '/usr/share/locale/th/LC_MESSAGES/kmimetypefinder.mo', which is also in package kde-l10n-th 4:4.10.97-0ubuntu1 dpkg-deb: error: subprocess paste was killed by signal (Broken pipe) Processing triggers for dbus (1.10.6-1ubuntu3.3) ... Errors were encountered while processing: /var/cache/apt/archives/libkf5sysguard-data_4%3a5.5.5-0ubuntu2_all.deb /var/cache/apt/archives/kde-cli-tools-data_4%3a5.5.5-0ubuntu1.1_all.deb E: Sub-process /usr/bin/dpkg returned an error code (1) – Florian Jun 5 '17 at 14:44
  • And when I try to execute like this: flo@flo-Z68XP-UD3:~$ sudo testdisk-6.13/photorec_static sudo: testdisk-6.13/photorec_static: command not found.....???? – Florian Jun 5 '17 at 14:45

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.